package com.fufan.mtsaas.modules.base.sysmsg.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.base.sysmsg.bo.request.MsgQueryRequest;
import com.fufan.mtsaas.modules.base.sysmsg.bo.request.MsgSaveRequest;
import com.fufan.mtsaas.modules.base.sysmsg.model.TSysMessage;
import com.fufan.mtsaas.modules.common.bo.request.DeleteRequest;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;

/**
 * 系统消息表(TSysMessage)表服务接口
 *
 * @author Liby
 * @since 2025-01-08 15:58:34
 */
public interface TSysMessageService extends IService<TSysMessage> {

    Result doQueryPage(MsgQueryRequest map);

    Result doSave(MsgSaveRequest entity, RequestPojo requestPojo);

    Result doRead(MsgSaveRequest entity, RequestPojo requestPojo);

    Result doUnReadNum(RequestPojo requestPojo);

    Result doUpdate(MsgSaveRequest entity, RequestPojo requestPojo);

    Result doDelete(DeleteRequest map, RequestPojo requestPojo);

}
